---
title: DocumentOrShadowRoot.styleSheets
slug: Web/API/DocumentOrShadowRoot/styleSheets
tags:
  - API
  - Document
  - DocumentOrShadowRoot
  - Property
  - Reference
  - ShadowRoot
  - Stylesheets
  - shadow dom
---
<div>{{SeeCompatTable}}{{APIRef("Shadow DOM")}}</div>

<p><span class="seoSummary">The <strong><code>styleSheets</code></strong> read-only property of the {{domxref("DocumentOrShadowRoot")}} interface returns a {{domxref('StyleSheetList')}} of {{domxref('CSSStyleSheet')}} objects, for stylesheets explicitly linked into or embedded in a document.</span></p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">function getStyleSheet(unique_title) {
  for (var i=0; i&lt;document.styleSheets.length; i++) {
    var sheet = document.styleSheets[i];
    if (sheet.title == unique_title) {
      return sheet;
    }
  }
}
</pre>

<h3 id="Notes">Notes</h3>

<p>The returned list is ordered as follows:</p>

<ul>
 <li>StyleSheets retrieved from {{htmlelement("link")}} headers are placed first, sorted in header order.</li>
 <li>StyleSheets retrieved from the DOM are placed after, sorted in <a href="https://dom.spec.whatwg.org/#concept-tree-order">tree order</a>.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Shadow DOM','#extensions-to-the-documentorshadowroot-mixin','DocumentOrShadowRoot')}}</td>
   <td>{{Spec2('Shadow DOM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DocumentOrShadowRoot.styleSheets")}}</p>
